Package org.apache.sysds.runtime.frame.data.iterators

# Class RowIterator<T>

java.lang.Object
org.apache.sysds.runtime.frame.data.iterators.RowIterator<T>

All Implemented Interfaces:
  `Iterator<T[]>`

Direct Known Subclasses:
  `ObjectRowIterator`, `StringRowIterator`

public abstract class RowIterator<T> extends Object implements Iterator<T[]>

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, next`

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<T>`